diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy.h ns-3.44/src/wifi/model/wifi-phy.h
--- ns-3.43/src/wifi/model/wifi-phy.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy.h	2025-03-09 16:55:49.803372600 -0700
@@ -676,30 +679,30 @@
      * The A-MPDU reference number (RX side) is set within the method. It must be a different value
      * for each A-MPDU but the same for each subframe within one A-MPDU.
      *
-     * \param psdu the PSDU being received
-     * \param channelFreq the frequency at which the packet is
+     * @param psdu the PSDU being received
+     * @param channelFreq the frequency at which the packet is
      *        transmitted.
-     * \param txVector the TXVECTOR that holds TX parameters
-     * \param staId the STA-ID
+     * @param txVector the TXVECTOR that holds TX parameters
+     * @param staId the STA-ID
      */
     void NotifyMonitorSniffTx(Ptr<const WifiPsdu> psdu,
                               MHz_u channelFreq,
-                              WifiTxVector txVector,
+                              const WifiTxVector& txVector,
                               uint16_t staId = SU_STA_ID);
 
     /**
      * TracedCallback signature for monitor mode transmit events.
      *
-     * \param packet the packet being transmitted
-     * \param channelFreqMhz the frequency in MHz at which the packet is
+     * @param packet the packet being transmitted
+     * @param channelFreqMhz the frequency in MHz at which the packet is
      *        transmitted.
-     * \param txVector the TXVECTOR that holds TX parameters
-     * \param aMpdu the type of the packet (0 is not A-MPDU, 1 is a MPDU that is part of an A-MPDU
+     * @param txVector the TXVECTOR that holds TX parameters
+     * @param aMpdu the type of the packet (0 is not A-MPDU, 1 is a MPDU that is part of an A-MPDU
      * and 2 is the last MPDU in an A-MPDU) and the A-MPDU reference number (must be a different
      * value for each A-MPDU but the same for each subframe within one A-MPDU)
-     * \param staId the STA-ID
+     * @param staId the STA-ID
      *
-     * \todo WifiTxVector should be passed by const reference because of its size.
+     * @todo WifiTxVector should be passed by const reference because of its size.
      */
     typedef void (*MonitorSnifferTxCallback)(const Ptr<const Packet> packet,
                                              uint16_t channelFreqMhz,
@@ -710,27 +713,27 @@
     /**
      * TracedCallback signature for Phy transmit events.
      *
-     * \param packet the packet being transmitted
-     * \param txPowerW the transmit power in Watts
+     * @param packet the packet being transmitted
+     * @param txPowerW the transmit power in Watts
      */
     typedef void (*PhyTxBeginTracedCallback)(Ptr<const Packet> packet, double txPowerW);
 
     /**
      * TracedCallback signature for PSDU transmit events.
      *
-     * \param psduMap the PSDU map being transmitted
-     * \param txVector the TXVECTOR holding the TX parameters
-     * \param txPowerW the transmit power in Watts
+     * @param psduMap the PSDU map being transmitted
+     * @param txVector the TXVECTOR holding the TX parameters
+     * @param txPowerW the transmit power in Watts
      */
     typedef void (*PsduTxBeginCallback)(WifiConstPsduMap psduMap,
-                                        WifiTxVector txVector,
+                                        const WifiTxVector& txVector,
                                         double txPowerW);
 
     /**
      * TracedCallback signature for PhyRxBegin trace source.
      *
-     * \param packet the packet being received
-     * \param rxPowersW the receive power per channel band in Watts
+     * @param packet the packet being received
+     * @param rxPowersW the receive power per channel band in Watts
      */
     typedef void (*PhyRxBeginTracedCallback)(Ptr<const Packet> packet,
                                              RxPowerWattPerChannelBand rxPowersW);
@@ -738,26 +741,35 @@
     /**
      * TracedCallback signature for start of PSDU reception events.
      *
-     * \param txVector the TXVECTOR decoded from the PHY header
-     * \param psduDuration the duration of the PSDU
+     * @param txVector the TXVECTOR decoded from the PHY header
+     * @param psduDuration the duration of the PSDU
      */
     typedef void (*PhyRxPayloadBeginTracedCallback)(WifiTxVector txVector, Time psduDuration);
 
     /**
-     * TracedCallback signature for start of PSDU reception events.
+     * TracedCallback signature for PhyRxPpduDrop trace source.
      *
-     * \param txVector the TXVECTOR decoded from the PHY header
-     * \param psduDuration the duration of the PSDU
+     * @param ppdu the ppdu being received
+     * @param reason the reason the ppdu was dropped
      */
     typedef void (*PhyRxPpduDropTracedCallback)(Ptr<const WifiPpdu> ppdu,
                                                 WifiPhyRxfailureReason reason);
 
     /**
+     * TracedCallback signature for PhyRxDrop trace source.
+     *
+     * @param packet the packet being received
+     * @param reason the reason the packet was dropped
+     */
+    typedef void (*PhyRxDropTracedCallback)(Ptr<const Packet> packet,
+                                            WifiPhyRxfailureReason reason);
+
+    /**
      * TracedCallback signature for end of MAC header reception events.
      *
-     * \param macHdr the MAC header of the MPDU being received
-     * \param txVector the TXVECTOR used to transmit the PSDU
-     * \param psduDuration the remaining duration of the PSDU
+     * @param macHdr the MAC header of the MPDU being received
+     * @param txVector the TXVECTOR used to transmit the PSDU
+     * @param psduDuration the remaining duration of the PSDU
      */
     typedef void (*PhyRxMacHeaderEndTracedCallback)(const WifiMacHeader& macHdr,
                                                     const WifiTxVector& txVector,
@@ -768,8 +780,8 @@
      * used by this model. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream);
 
@@ -778,69 +790,69 @@
      * The energy of a received signal should be higher than
      * this threshold to allow the PHY layer to detect the signal.
      *
-     * \param threshold the receive sensitivity threshold
+     * @param threshold the receive sensitivity threshold
      */
     void SetRxSensitivity(dBm_u threshold);
     /**
      * Return the receive sensitivity threshold.
      *
-     * \return the receive sensitivity threshold
+     * @return the receive sensitivity threshold
      */
     dBm_u GetRxSensitivity() const;
     /**
      * Sets the CCA energy detection threshold. The energy of a all received signals
      * should be higher than this threshold to allow the PHY layer to declare CCA BUSY state.
      *
-     * \param threshold the CCA threshold
+     * @param threshold the CCA threshold
      */
     void SetCcaEdThreshold(dBm_u threshold);
     /**
      * Return the CCA energy detection threshold.
      *
-     * \return the CCA energy detection threshold
+     * @return the CCA energy detection threshold
      */
     dBm_u GetCcaEdThreshold() const;
     /**
      * Sets the CCA sensitivity threshold. The energy of a received wifi signal
      * should be higher than this threshold to allow the PHY layer to declare CCA BUSY state.
      *
-     * \param threshold the CCA sensitivity threshold
+     * @param threshold the CCA sensitivity threshold
      */
     void SetCcaSensitivityThreshold(dBm_u threshold);
     /**
      * Return the CCA sensitivity threshold.
      *
-     * \return the CCA sensitivity threshold
+     * @return the CCA sensitivity threshold
      */
     dBm_u GetCcaSensitivityThreshold() const;
     /**
      * Sets the RX loss in the Signal-to-Noise-Ratio due to non-idealities in the receiver.
      *
-     * \param noiseFigure noise figure
+     * @param noiseFigure noise figure
      */
     void SetRxNoiseFigure(dB_u noiseFigure);
     /**
      * Sets the minimum available transmission power level.
      *
-     * \param start the minimum transmission power level
+     * @param start the minimum transmission power level
      */
     void SetTxPowerStart(dBm_u start);
     /**
      * Return the minimum available transmission power level.
      *
-     * \return the minimum available transmission power level
+     * @return the minimum available transmission power level
      */
     dBm_u GetTxPowerStart() const;
     /**
      * Sets the maximum available transmission power level.
      *
-     * \param end the maximum transmission power level
+     * @param end the maximum transmission power level
      */
     void SetTxPowerEnd(dBm_u end);
     /**
      * Return the maximum available transmission power level.
      *
-     * \return the maximum available transmission power level
+     * @return the maximum available transmission power level
      */
     dBm_u GetTxPowerEnd() const;
     /**
@@ -848,61 +860,70 @@
      * minimum level and the maximum level. Transmission power levels are
      * equally separated (in dBm) with the minimum and the maximum included.
      *
-     * \param n the number of available levels
+     * @param n the number of available levels
      */
     void SetNTxPower(uint8_t n);
     /**
      * Return the number of available transmission power levels.
      *
-     * \return the number of available transmission power levels
+     * @return the number of available transmission power levels
      */
     uint8_t GetNTxPower() const;
     /**
      * Sets the transmission gain.
      *
-     * \param gain the transmission gain
+     * @param gain the transmission gain
      */
     void SetTxGain(dB_u gain);
     /**
      * Return the transmission gain.
      *
-     * \return the transmission gain
+     * @return the transmission gain
      */
     dB_u GetTxGain() const;
     /**
      * Sets the reception gain.
      *
-     * \param gain the reception gain
+     * @param gain the reception gain
      */
     void SetRxGain(dB_u gain);
     /**
      * Return the reception gain.
      *
-     * \return the reception gain
+     * @return the reception gain
      */
     dB_u GetRxGain() const;
 
     /**
+     * Get the remaining time to the end of the MAC header reception of the next MPDU being
+     * received from the given STA, if any.
+     *
+     * @param staId the STA-ID of the transmitter; equals SU_STA_ID for SU PPDUs
+     * @return the remaining time to the end of the MAC header reception of the next MPDU, if any
+     */
+    std::optional<Time> GetTimeToMacHdrEnd(uint16_t staId) const;
+
+    /**
      * Sets the device this PHY is associated with.
      *
-     * \param device the device this PHY is associated with
+     * @param device the device this PHY is associated with
      */
     virtual void SetDevice(const Ptr<WifiNetDevice> device);
     /**
      * Return the device this PHY is associated with
      *
-     * \return the device this PHY is associated with
+     * @return the device this PHY is associated with
      */
     Ptr<WifiNetDevice> GetDevice() const;
     /**
-     * \brief assign a mobility model to this device
+     * @brief assign a mobility model to this device
      *
      * This method allows a user to specify a mobility model that should be
      * associated with this physical layer.  Calling this method is optional
      * and only necessary if the user wants to override the mobility model
      * that is aggregated to the node.
      *
-     * \param mobility the mobility model this PHY is associated with
+     * @param mobility the mobility model this PHY is associated with
      */
     void SetMobility(const Ptr<MobilityModel> mobility);
     /**
@@ -912,7 +933,7 @@
      * will return the mobility model (if any) that has been aggregated
      * to the node.
      *
-     * \return the mobility model this PHY is associated with
+     * @return the mobility model this PHY is associated with
      */
     Ptr<MobilityModel> GetMobility() const;
 
@@ -936,7 +957,7 @@
      * operating channel bandwidth must have been already added when actually setting
      * the operating channel.
      *
-     * \param channel the given operating channel
+     * @param channel the given operating channel
      */
     void SetOperatingChannel(const WifiPhyOperatingChannel& channel);
 
@@ -944,7 +965,7 @@
      * This overloaded function is used to pass a list of segments
      * from which the operating channel can be deduced.
      *
-     * \param channelSegments the segments identifying the operating channel
+     * @param channelSegments the segments identifying the operating channel
      */
     void SetOperatingChannel(const ChannelSegments& channelSegments);
 
@@ -952,27 +973,27 @@
      * This overloaded function is used when the operating channel
      * consists of a single segment, identified by a tuple.
      *
-     * \param tuple the segment identifying the operating channel
+     * @param tuple the segment identifying the operating channel
      */
     void SetOperatingChannel(const ChannelTuple& tuple);
 
     /**
      * Configure whether it is prohibited to change PHY band after initialization.
      *
-     * \param enable true to prohibit changing PHY band after initialization,
+     * @param enable true to prohibit changing PHY band after initialization,
      *        false otherwise
      */
     void SetFixedPhyBand(bool enable);
     /**
-     * \return whether it is prohibited to change PHY band after initialization
+     * @return whether it is prohibited to change PHY band after initialization
      */
     bool HasFixedPhyBand() const;
     /**
-     * \return the operating center frequency
+     * @return the operating center frequency
      */
     MHz_u GetFrequency() const;
     /**
-     * \return the index of the primary 20 MHz channel
+     * @return the index of the primary 20 MHz channel
      */
     uint8_t GetPrimary20Index() const;
     /**
@@ -980,74 +1001,75 @@
      * using the given WifiMode, subject to the constraint that the TX bandwidth cannot exceed
      * the given maximum allowed value.
      *
-     * \param mode the given WifiMode
-     * \param maxAllowedBandWidth the maximum allowed TX bandwidth
-     * \return the bandwidth for the transmission
+     * @param mode the given WifiMode
+     * @param maxAllowedBandWidth the maximum allowed TX bandwidth
+     * @return the bandwidth for the transmission
      */
     MHz_u GetTxBandwidth(WifiMode mode,
-                         MHz_u maxAllowedBandWidth = std::numeric_limits<MHz_u>::max()) const;
+                         MHz_u maxAllowedBandWidth = MHz_u{
+                             std::numeric_limits<double>::max()}) const;
     /**
-     * \param antennas the number of antennas on this node.
+     * @param antennas the number of antennas on this node.
      */
     void SetNumberOfAntennas(uint8_t antennas);
     /**
-     * \return the number of antennas on this device
+     * @return the number of antennas on this device
      */
     uint8_t GetNumberOfAntennas() const;
     /**
-     * \param streams the maximum number of supported TX spatial streams.
+     * @param streams the maximum number of supported TX spatial streams.
      */
     void SetMaxSupportedTxSpatialStreams(uint8_t streams);
     /**
-     * \return the maximum number of supported TX spatial streams
+     * @return the maximum number of supported TX spatial streams
      */
     uint8_t GetMaxSupportedTxSpatialStreams() const;
     /**
-     * \param streams the maximum number of supported RX spatial streams.
+     * @param streams the maximum number of supported RX spatial streams.
      */
     void SetMaxSupportedRxSpatialStreams(uint8_t streams);
     /**
-     * \return the maximum number of supported RX spatial streams
+     * @return the maximum number of supported RX spatial streams
      */
     uint8_t GetMaxSupportedRxSpatialStreams() const;
     /**
      * Enable or disable short PHY preamble.
      *
-     * \param preamble sets whether short PHY preamble is supported or not
+     * @param preamble sets whether short PHY preamble is supported or not
      */
     void SetShortPhyPreambleSupported(bool preamble);
     /**
      * Return whether short PHY preamble is supported.
      *
-     * \returns if short PHY preamble is supported or not
+     * @returns if short PHY preamble is supported or not
      */
     bool GetShortPhyPreambleSupported() const;
 
     /**
      * Set the index allocated to this PHY
      *
-     * \param phyId the ID allocated to this PHY
+     * @param phyId the ID allocated to this PHY
      */
     void SetPhyId(uint8_t phyId);
 
     /**
      * Get the index allocated to this PHY
      *
-     * \return the ID allocated to this PHY
+     * @return the ID allocated to this PHY
      */
     uint8_t GetPhyId() const;
 
     /**
      * Sets the interference helper.
      *
-     * \param helper the interference helper
+     * @param helper the interference helper
      */
     virtual void SetInterferenceHelper(const Ptr<InterferenceHelper> helper);
 
     /**
      * Sets the error rate model.
      *
-     * \param model the error rate model
+     * @param model the error rate model
      */
     void SetErrorRateModel(const Ptr<ErrorRateModel> model);
     /**
@@ -1059,30 +1081,30 @@
      * is typically used to force specific packet losses or
      * for testing purposes.
      *
-     * \param em Pointer to the ErrorModel.
+     * @param em Pointer to the ErrorModel.
      */
     void SetPostReceptionErrorModel(const Ptr<ErrorModel> em);
     /**
      * Sets the frame capture model.
      *
-     * \param frameCaptureModel the frame capture model
+     * @param frameCaptureModel the frame capture model
      */
     void SetFrameCaptureModel(const Ptr<FrameCaptureModel> frameCaptureModel);
     /**
      * Sets the preamble detection model.
      *
-     * \param preambleDetectionModel the preamble detection model
+     * @param preambleDetectionModel the preamble detection model
      */
     void SetPreambleDetectionModel(const Ptr<PreambleDetectionModel> preambleDetectionModel);
     /**
      * Sets the wifi radio energy model.
      *
-     * \param wifiRadioEnergyModel the wifi radio energy model
+     * @param wifiRadioEnergyModel the wifi radio energy model
      */
     void SetWifiRadioEnergyModel(const Ptr<WifiRadioEnergyModel> wifiRadioEnergyModel);
 
     /**
-     * \return the channel width
+     * @return the channel width
      */
     MHz_u GetChannelWidth() const;
 
@@ -1090,28 +1112,30 @@
      * Get the power of the given power level.
      * In current implementation, the power levels are equally spaced (in dBm).
      *
-     * \param powerLevel the power level
+     * @param powerLevel the power level
      *
-     * \return the transmission power at the given power level
+     * @return the transmission power at the given power level
      */
     dBm_u GetPower(uint8_t powerLevel) const;
 
     /**
      * Reset PHY to IDLE, with some potential TX power restrictions for the next transmission.
      *
-     * \param powerRestricted flag whether the transmit power is restricted for the next
+     * @param powerRestricted flag whether the transmit power is restricted for the next
      * transmission
-     * \param txPowerMaxSiso the SISO transmit power restriction for the next transmission
-     * \param txPowerMaxMimo the MIMO transmit power restriction for the next transmission
+     * @param txPowerMaxSiso the SISO transmit power restriction for the next transmission
+     * @param txPowerMaxMimo the MIMO transmit power restriction for the next transmission
      */
-    void ResetCca(bool powerRestricted, dBm_u txPowerMaxSiso = 0, dBm_u txPowerMaxMimo = 0);
+    void ResetCca(bool powerRestricted,
+                  dBm_u txPowerMaxSiso = dBm_u{0},
+                  dBm_u txPowerMaxMimo = dBm_u{0});
     /**
      * Compute the transmit power for the next transmission.
      * The returned power will satisfy the power density constraints
      * after addition of antenna gain.
      *
-     * \param ppdu the PPDU to transmit
-     * \return the transmit power for the next transmission
+     * @param ppdu the PPDU to transmit
+     * @return the transmit power for the next transmission
      */
     dBm_u GetTxPowerForTransmission(Ptr<const WifiPpdu> ppdu) const;
     /**
@@ -1126,8 +1150,8 @@
     /**
      * This is a helper function to convert start and stop indices to start and stop frequencies.
      *
-     * \param indices the start/stop indices to convert
-     * \return the converted frequencies
+     * @param indices the start/stop indices to convert
+     * @return the converted frequencies
      */
     virtual WifiSpectrumBandFrequencies ConvertIndicesToFrequencies(
         const WifiSpectrumBandIndices& indices) const = 0;
@@ -1138,8 +1162,8 @@
      * Through this method, child classes can add their own PHY entities in
      * a static manner.
      *
-     * \param modulation the modulation class
-     * \param phyEntity the PHY entity
+     * @param modulation the modulation class
+     * @param phyEntity the PHY entity
      */
     static void AddStaticPhyEntity(WifiModulationClass modulation, Ptr<PhyEntity> phyEntity);
 
@@ -1148,8 +1172,8 @@
      * This is used to compute the different amendment-specific parameters within
      * calling static methods.
      *
-     * \param modulation the modulation class
-     * \return the pointer to the static implemented PHY entity
+     * @param modulation the modulation class
+     * @return the pointer to the static implemented PHY entity
      */
     static const Ptr<const PhyEntity> GetStaticPhyEntity(WifiModulationClass modulation);
 
@@ -1161,43 +1185,43 @@
      * used to transmit the PPDU is non-HT (duplicate), the latest PHY entity corresponding to the
      * configured standard is also returned.
      *
-     * \param ppdu the received PPDU
-     * \return the pointer to the supported PHY entity
+     * @param ppdu the received PPDU
+     * @return the pointer to the supported PHY entity
      */
     Ptr<PhyEntity> GetPhyEntityForPpdu(const Ptr<const WifiPpdu> ppdu) const;
 
     /**
      * Get the supported PHY entity corresponding to the modulation class.
      *
-     * \param modulation the modulation class
-     * \return the pointer to the supported PHY entity
+     * @param modulation the modulation class
+     * @return the pointer to the supported PHY entity
      */
     Ptr<PhyEntity> GetPhyEntity(WifiModulationClass modulation) const;
     /**
      * Get the supported PHY entity corresponding to the wifi standard.
      *
-     * \param standard the wifi standard
-     * \return the pointer to the supported PHY entity
+     * @param standard the wifi standard
+     * @return the pointer to the supported PHY entity
      */
     Ptr<PhyEntity> GetPhyEntity(WifiStandard standard) const;
     /**
      * Get the latest PHY entity supported by this PHY instance.
      *
-     * \return the latest PHY entity supported by this PHY instance
+     * @return the latest PHY entity supported by this PHY instance
      */
     Ptr<PhyEntity> GetLatestPhyEntity() const;
 
     /**
-     * \return the UID of the previously received PPDU (reset to UINT64_MAX upon transmission)
+     * @return the UID of the previously received PPDU (reset to UINT64_MAX upon transmission)
      */
     uint64_t GetPreviouslyRxPpduUid() const;
 
     /**
      * Set the UID of the previously received PPDU.
      *
-     * \param uid the value for the UID of the previously received PPDU
+     * @param uid the value for the UID of the previously received PPDU
      *
-     * \note This method shall only be used in exceptional circumstances, such as when a PHY
+     * @note This method shall only be used in exceptional circumstances, such as when a PHY
      * transmits a response to a Trigger Frame that was received by another PHY. This is the
      * case, e.g., when an aux PHY of an EMLSR client receives an ICF but it is the main PHY
      * that switches channel and transmits the response to the ICF.
@@ -1205,8 +1229,8 @@
     void SetPreviouslyRxPpduUid(uint64_t uid);
 
     /**
-     * \param currentChannelWidth channel width of the current transmission
-     * \return the width of the guard band
+     * @param currentChannelWidth channel width of the current transmission
+     * @return the width of the guard band
      *
      * Note: in order to properly model out of band transmissions for OFDM, the guard
      * band has been configured so as to expand the modeled spectrum up to the
@@ -1219,7 +1243,7 @@
      */
     virtual MHz_u GetGuardBandwidth(MHz_u currentChannelWidth) const = 0;
     /**
-     * \return a tuple containing the minimum rejection for the inner band,
+     * @return a tuple containing the minimum rejection for the inner band,
      *                            the minimum rejection for the outer band, and
      *                            the maximum rejection for the outer band
      *                            for the transmit spectrum mask.
@@ -1230,39 +1254,39 @@
 
     /**
      * Get channel number of the primary channel
-     * \param primaryChannelWidth the width of the primary channel
+     * @param primaryChannelWidth the width of the primary channel
      *
-     * \return channel number of the primary channel
+     * @return channel number of the primary channel
      */
     uint8_t GetPrimaryChannelNumber(MHz_u primaryChannelWidth) const;
 
     /**
      * Get the info of a given band
      *
-     * \param bandWidth the width of the band to be returned
-     * \param bandIndex the index of the band to be returned
+     * @param bandWidth the width of the band to be returned
+     * @param bandIndex the index of the band to be returned
      *
-     * \return the info that defines the band
+     * @return the info that defines the band
      */
     virtual WifiSpectrumBandInfo GetBand(MHz_u bandWidth, uint8_t bandIndex = 0) = 0;
 
     /**
      * Get the frequency range of the current RF interface.
      *
-     * \return the frequency range of the current RF interface
+     * @return the frequency range of the current RF interface
      */
     virtual FrequencyRange GetCurrentFrequencyRange() const = 0;
 
     /**
-     * \return the subcarrier spacing corresponding to the configure standard
+     * @return the subcarrier spacing corresponding to the configure standard
      */
     Hz_u GetSubcarrierSpacing() const;
 
     /**
      * Callback invoked when the PHY model starts to transmit a signal
      *
-     * \param ppdu The PPDU being transmitted
-     * \param txVector txVector used for transmitting the PPDU
+     * @param ppdu The PPDU being transmitted
+     * @param txVector txVector used for transmitting the PPDU
      */
     typedef void (*SignalTransmissionCallback)(Ptr<const WifiPpdu> ppdu,
                                                const WifiTxVector& txVector);
@@ -1280,7 +1304,7 @@
      * Perform any actions necessary when user changes operating channel after
      * initialization.
      *
-     * \return the amount of time to wait until the channel switch can be performed or
+     * @return the amount of time to wait until the channel switch can be performed or
      * std::nullopt if channel switch is currently not possible (i.e., the radio is in sleep mode)
      */
     std::optional<Time> GetDelayUntilChannelSwitch();
@@ -1293,14 +1317,14 @@
      * Check if PHY state should move to CCA busy state based on current
      * state of interference tracker.
      *
-     * \param ppdu the incoming PPDU or nullptr for any signal
+     * @param ppdu the incoming PPDU or nullptr for any signal
      */
     void SwitchMaybeToCcaBusy(const Ptr<const WifiPpdu> ppdu = nullptr);
     /**
      * Notify PHY state helper to switch to CCA busy state,
      *
-     * \param ppdu the incoming PPDU or nullptr for any signal
-     * \param duration the duration of the CCA state
+     * @param ppdu the incoming PPDU or nullptr for any signal
+     * @param duration the duration of the CCA state
      */
     void NotifyCcaBusy(const Ptr<const WifiPpdu> ppdu, Time duration);
 
@@ -1311,8 +1335,8 @@
      * in the static map of implemented PHY entities (\see GetStaticPhyEntities).
      * In addition, child classes can add their own PHY entities.
      *
-     * \param modulation the modulation class
-     * \param phyEntity the PHY entity
+     * @param modulation the modulation class
+     * @param phyEntity the PHY entity
      */
     void AddPhyEntity(WifiModulationClass modulation, Ptr<PhyEntity> phyEntity);
 
@@ -1411,7 +1435,7 @@
     /**
      * Add the given MCS to the device MCS set.
      *
-     * \param mode the MCS to add to the device MCS set
+     * @param mode the MCS to add to the device MCS set
      */
     void PushMcs(WifiMode mode);
     /**
@@ -1421,22 +1445,22 @@
 
     /**
      * Due to newly arrived signal, the current reception cannot be continued and has to be aborted
-     * \param reason the reason the reception is aborted
+     * @param reason the reason the reception is aborted
      *
      */
     void AbortCurrentReception(WifiPhyRxfailureReason reason);
 
     /**
      * Callback function when a transmission is completed
-     * \param psdus the PSDUs that have been sent
+     * @param psdus the PSDUs that have been sent
      */
     void TxDone(const WifiConstPsduMap& psdus);
 
     /**
      * Get the PSDU addressed to that PHY in a PPDU (useful for MU PPDU).
      *
-     * \param ppdu the PPDU to extract the PSDU from
-     * \return the PSDU addressed to that PHY
+     * @param ppdu the PPDU to extract the PSDU from
+     * @return the PSDU addressed to that PHY
      */
     Ptr<const WifiPsdu> GetAddressedPsduInPpdu(Ptr<const WifiPpdu> ppdu) const;
 
@@ -1450,14 +1474,14 @@
      * The trace source fired when a packet begins the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>, double> m_phyTxBeginTrace;
     /**
      * The trace source fired when a PSDU map begins the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<WifiConstPsduMap, WifiTxVector, double /* TX power (W) */> m_phyTxPsduBeginTrace;
 
@@ -1465,7 +1489,7 @@
      * The trace source fired when a packet ends the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxEndTrace;
 
@@ -1473,7 +1497,7 @@
      * The trace source fired when the PHY layer drops a packet as it tries
      * to transmit it.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxDropTrace;
 
@@ -1481,7 +1505,7 @@
      * The trace source fired when a packet begins the reception process from
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>, RxPowerWattPerChannelBand> m_phyRxBeginTrace;
 
